Name:           gnome-applet-sensors
Version:        3.0.0
Release:        4%{?dist}
Summary:        GNOME panel applet for hardware sensors
Group:          User Interface/Desktops
License:        GPLv2+ and CC-BY-SA
URL:            http://sensors-applet.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sensors-applet/sensors-applet-%{version}.tar.gz
BuildRequires:  gnome-panel-devel >= 2.8
BuildRequires:  gettext gnome-doc-utils lm_sensors-devel libnotify-devel
BuildRequires:  intltool perl-XML-Parser scrollkeeper
BuildRequires:  libatasmart-devel
Requires(post): /sbin/ldconfig scrollkeeper
Requires(postun): /sbin/ldconfig scrollkeeper

%description
GNOME Sensors Applet is an applet for the GNOME Panel to display readings
from hardware sensors, including CPU temperature, fan speeds and voltage
readings under Linux. Includes a simple, yet highly customizable display
and intuitive user-interface. Alarms can be set for each sensor to notify
the user once a certain high or low value has been reached, and can be
configured to execute a given command at specific repeated intervals. It
is also GNOME HIG v2.0 compliant.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n sensors-applet-%{version}
chmod -x AUTHORS NEWS TODO ChangeLog


%build
%configure --disable-scrollkeeper --disable-static --enable-libnotify
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' install
find $RPM_BUILD_ROOT -name "*.la" -exec rm -rf {} ';'
%find_lang sensors-applet


%post
/sbin/ldconfig
scrollkeeper-update -q -o %{_datadir}/omf/sensors-applet || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
/sbin/ldconfig
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f sensors-applet.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libexecdir}/sensors-applet
%{_libdir}/libsensors-applet-plugin.so.*
%{_libdir}/sensors-applet/
%{_datadir}/omf/sensors-applet/
%{_datadir}/gnome/help/sensors-applet/
%{_datadir}/pixmaps/sensors-applet/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/sensors-applet/
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.SensorsApplet.panel-applet
%{_datadir}/dbus-1/services/org.gnome.panel.applet.SensorsAppletFactory.service


%files devel
%{_libdir}/libsensors-applet-plugin.so
%{_includedir}/sensors-applet/


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 10 2012 Jens Petersen <petersen@redhat.com> - 3.0.0-3
- own /usr/share/sensors-applet (#772432)
- clean away redundant defattr's, and buildroot define and cleaning

* Sun Jan 08 2012 Robert Scheck <robert@fedoraproject.org> 3.0.0-2
- Changes to match with Fedora Packaging Guidelines (#772432)

* Wed Dec 14 2011 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 3.0.0-1
- Latest upstream, works with gnome 3
- Disable nvidia plugin, as it needs newer libs, not in fedora yet
- Disable RPATH

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 18 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.7-4
- patch and rebuild for new libnotify 0.7.0

* Thu Aug 12 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 2.2.7-3
- New upstream
- Refix DSO 
- Build with libatasmart

* Thu Feb 18 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 2.2.5-3
- Fix DSO linkage issues

* Mon Nov 23 2009 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 2.2.5-2
- New upstream release
- Version bump

* Tue Sep 29 2009 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 2.2.4
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov  3 2008 Hans de Goede <hdegoede@redhat.com> 2.2.1-1
- New upstream release 2.2.1
- Update license tag to include icons license

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.8.2-2
- Autorebuild for GCC 4.3

* Thu Nov 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.8.2-1
- New upstream release 1.8.2 (bz 403921)
- Drop upstream sensors-applet-1.8.1-get-min-max-from-libsensors.patch

* Mon Nov 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.8.1-5
- Patch and rebuild for new lm_sensors-3.0.0

* Tue Aug  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.8.1-4
- Update License tag for new Licensing Guidelines compliance

* Fri Jul 27 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.8.1-3
- Rebuild with Nvidia temp sensor support now that libXNVCtrl is approved

* Fri Jul 20 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.8.1-2
- Rebuild, including building on ppc and ppc64 as lm_sensors is available
  there now (bz 181037)

* Sun Jul 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.8.1-1
- New upstream release 1.8.1 (fixes bz 235655, 190509)
- Add gtk-icon-update-cache to post scripts (fixes bz 206529)
- Pass proper directory for omf files to scrollkeeper-update in post script
- Initialize sensors low and high tresholds from libsensors settings
- Various specfile cleanups

* Fri Sep 01 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.7.8-3
- Fix broken upgrade path

* Thu Aug 31 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.7.8-2
- Proper BuildRequires

* Thu Aug 31 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.7.8-1
- Rebuild for Fedora Core 6, bump version

* Mon Feb 13 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.6-3
- Rebuild for Fedora Extras 5

* Sat Feb 11 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.6-2
- fix gnome-doc-utils requirement

* Sat Feb 11 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.6-1
- bump to release 1.6

* Sat Feb 11 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-4
- add ExcludeArch due to lack of ppc lm_sensors

* Tue Feb 06 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-3
- make that lm_sensors

* Mon Feb 06 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-2
- add lm-sensors requires

* Tue Sep 20 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-1
- bump to stable release 1.4

* Sat Jul 02 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 1.0-1
- bump to stable release 1.0

* Wed May 18 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.7.3-1
- Minor specfile cleanup

* Fri May 13 2005 Gianluca Sforna <giallu[AT]gmail.com> - 0.7.3-0.1
- Version update

* Sat Feb 26 2005 Gianluca Sforna <giallu[AT]gmail.com> - 0.6.2-0.1
- Initial RPM release.
